* Encoding: UTF-8.
*==============================================================================*.
* TTULO DE LA SINTAXIS:							   
* Clculo de indicadores de la nueva condicin de actividad		y sectorizacin de la PEA	   				   
* OPERACIN ESTADSTICA:													   
* Encuesta Nacional de Empleo, Desempleo y Subempleo (ENEMDU)				   
* UNIDAD TCNICA RESPONSABLE: 												   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadstica y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboracin:          Septiembre - 2014							   
* Fecha ltima modificacin:   Enero - 2020					   
*==============================================================================*.
* Sintaxis elaborada en base a la "Nota metodolgica para la medicin del empleo en Ecuador".
*==============================================================================*.
* Elaborado por:													   
* Direccin de Estadsticas Sociodemogrficas (DIES)						   
* Gestin de Estadsticas Permanentes a Hogares 	   						   
* Aprobado por:													   
* Direccin de Estudios Laborales y Econmicos (DELE)				       
* Unidad de Estudios de Mercado Laboral								       
*==============================================================================*.
* Revisado por:																   
* 1. Direccin de Estudios Laborales y Econmicos (DELE)				       
*    Unidad de Estudios de Mercado Laboral								       
* 2. Direccin de Estadsticas Sociodemogrficas (DIES)						   
*    Gestin de Estadsticas Permanentes a Hogares 	   						   
*==============================================================================*.
*Indicaciones.
*1- Ejecute esta sintaxis en la base de datos: enemdu_persona_201912

*=====================================================================================.
* 1.1 - 1.3.- POBLACIN DE LOS PRINCIPALES INDICADORES DE MERCADO LABORAL
*=====================================================================================.
weight by fexp.
*============.
*1.1. NACIONAL.
*============.

ctables /vlabels var= area dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia ao t_a menor15 display=none
            /table ao[c]>(t_a[c] + menor15[c] + pobla15[c]> (petn[c] + pean[c]  + empleo[c] + adec[c] + sub[c] + 
                                sub_h[c] + sub_w[c] + oinad[c] + nr[c] + nc[c] + desem[c] + desemab[c] + desemoc[c] + desem1[c] + 
                                desem2[c] + pein[c])) by area[c] + dom_ciu[c] + p02[c] + pobla24[c] + pobla34[c] + 
                                pobla44[c] + pobla64[c] + pobla65[c] + etnia[c]
           /slabels visible=no
           /categories variables = area dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia t_a  empty=exclude
           /categories variables= area total = yes position=before
           /titles title='Indicadores de Mercado Laboral (15 aos y ms) - Poblacin'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*============.
*1.2. URBANO.
*============.

filter by fil01.
exe.

 ctables /vlabels var= t_a dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65  ao t menor15 petn pean pobla15 empleo adec 
                                sub sub_h sub_w oinad nr nc desem desemab desemoc desem1 desem2 pein etnia display=none
             /table ao [c] > (t_a [c] + menor15[c] + pobla15 [c]>petn[c] +pobla15[c] > pean[c] + pobla15[c] > empleo[c] + pobla15[c] > adec[c] + 
                                pobla15[c] > sub[c] + pobla15[c] > sub_h[c] + pobla15[c] > sub_w[c] + pobla15[c] > nr[c] + pobla15[c]  > oinad[c] + 
                                pobla15[c] > nc[c] + pobla15[c] > desem[c] + pobla15[c] > desemab[c] + pobla15[c] > desemoc[c] + pobla15[c] > desem1[c] + 
                                pobla15[c] > desem2[c] + pobla15[c] > pein[c]) by t_a[c] + dom_ciu[c] +  p02[c] + pobla24[c] + pobla34[c] + pobla44[c] + 
                                pobla64[c] + pobla65[c] + etnia[c] 
           /slabels visible=no
           /categories variables = dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65 ao menor15 petn pean pobla15 empleo adec sub sub_h 
                              sub_w nr oinad nc desem desemab desemoc desem1 desem2 pein etnia order=a key=value empty=include
          /categories variables = t_a order=a key=value empty=exclude
          /titles title='Indicadores de Mercado Laboral (15 aos y ms) - Poblacin - Urbano'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

filter off.

*============.
*1.2. RURAL.
*============.

filter by fil02.
exe.

 ctables /vlabels var=   t_a p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia ao t menor15 petn pean pobla15 empleo adec sub sub_h sub_w desem desemab 
                               desemoc desem1 desem2 pein display=none
             /table ao [c] > (t[c] + menor15[c] + pobla15[c] > petn[c] +pobla15[c] > pean[c] + pobla15[c] > empleo[c] + pobla15[c] > adec[c] + pobla15[C] > sub[C] + 
                               pobla15[c] > sub_h[c] + pobla15[c] > sub_w[c] + pobla15[c] > nr[c] + pobla15[c] > oinad[c] + pobla15[c] > nc[c] + pobla15[c] > desem[c] + 
                               pobla15[c] > desemab[c] + pobla15[c] > desemoc[c] + pobla15[c] > desem1[c] + pobla15[c] > desem2[c] + pobla15[c] > pein[C]) by  t_a[c] +
                               p02[c] + pobla24[c] + pobla34[c] + pobla44[c] + pobla64[c] + pobla65[c] + etnia[c]
           /slabels visible=no
           /categories variables = p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia ao menor15 petn pean pobla15 empleo adec  sub sub_h sub_w nr oinad 
                              nc desem desemab desemoc desem1 desem2 pein order=a key=value empty=exclude
          /categories variables =  t_a order=a key=value empty=exclude
          /titles title='Indicadores de Mercado Laboral (15 aos y ms) - Poblacin - Rural'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

filter off.

*=====================================================================================.
* 2.1 - 2.3.- TASAS DE LOS PRINCIPALES INDICADORES DE MERCADO LABORAL
*=====================================================================================.
weight by fexp.
*============.
*2.1. NACIONAL.
*============.
ctables /vlabels var= ao pobla15 t_a area dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia 
                               templeob templeog tadec tsub tsub_h tsub_w tnr toinad tnc tdesem tdesemab tdesemoc 
                               tpartig tpartib15 display=none 
            /table ao[c]>(pobla15[c]> (templeob[s][mean 'Empleo Bruto (%)'] +  
                                templeog[s][mean 'Empleo Global (%)'] + 
                                tadec[s][mean 'Empleo Adecuado/pleno (%)'] + 
                                tsub[s][mean 'Subempleo (%)'] + 
                                tsub_h[s][mean 'Subempleo por insuficiencia de tiempo de trabajo (%)'] + 
                                tsub_w[s][mean 'Subempleo por  insuficiencia de ingresos (%)'] +  
                                tnr[s][mean 'Empleo no remunerado (%)'] + 
                                toinad[s][mean 'Otro no pleno (%)'] + 
                                tnc[s][mean 'Empleo no clasificado (%)'] + 
                                tdesem[s][mean 'Desempleo (%)'] + 
                                tdesemab[s][mean 'Desempleo Abierto (%)'] +
                                tdesemoc[s][mean 'Desempleo Oculto (%)'] + 
                                tpartig[s][mean 'Participacin Global (%)']) + 
                                tpartib15[s][mean 'Participacin Bruta (%)']) by t_a[c]+AREA[c]+dom_ciu[c]+p02[c]+pobla24[c]+pobla34[c]+pobla44[c]+pobla64[c]+pobla65[c]+etnia[c]
           /slabels position=row
           /titles title='Indicadores de Mercado Laboral (15 aos y ms)'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.
*============.
*2.2. URBANO.
*============.

filter by fil01.
exe.

ctables /vlabels var= ao pobla15 t_a dom_ciu p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia templeob 
                                templeog tadec tsub tsub_h tsub_w tnr toinad tnc tdesem tdesemab tdesemoc 
                                tpartig tpartib15 display=none 
            /table ao[c]>(pobla15[c]> (templeob[s][mean 'Empleo Bruto (%)'] +  
                                templeog[s][mean 'Empleo Global (%)'] + 
                                tadec[s][mean 'Empleo Adecuado/pleno (%)'] + 
                                tsub[s][mean 'Subempleo (%)'] + 
                                tsub_h[s][mean 'Subempleo por insuficiencia de tiempo de trabajo (%)'] + 
                                tsub_w[s][mean 'Subempleo por  insuficiencia de ingresos (%)'] +  
                                tnr[s][mean 'Empleo no remunerado (%)'] + 
                                toinad[s][mean 'Otro no pleno (%)'] + 
                                tnc[s][mean 'Empleo no clasificado (%)'] + 
                                tdesem[s][mean 'Desempleo (%)'] + 
                                tdesemab[s][mean 'Desempleo Abierto (%)'] +
                                tdesemoc[s][mean 'Desempleo Oculto (%)'] + 
                                tpartig[s][mean 'Participacin Global (%)']) + 
                                tpartib15[s][mean 'Participacin Bruta (%)']) by t_a[c]+dom_ciu[c]+p02[c]+pobla24[c]+pobla34[c]+pobla44[c]+pobla64[c]+pobla65[c]+etnia[c]
           /slabels position=row
           /titles title='Indicadores de Mercado Laboral (15 aos y ms) - Urbano'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

filter off.

*=======.
*RURAL.
*=======.

filter by fil02.
exe.

ctables /vlabels var= ao pobla15 t_a p02 pobla24 pobla34 pobla44 pobla64 pobla65 etnia templeob 
                                templeog tadec tsub tsub_h tsub_w tnr toinad tnc tdesem tdesemab tdesemoc 
                                tpartig tpartib15 display=none 
            /table ao[c]>(pobla15[c]> (templeob[s][mean 'Empleo Bruto (%)'] +  
                                templeog[s][mean 'Empleo Global (%)'] + 
                                tadec[s][mean 'Empleo Adecuado/pleno (%)'] + 
                                tsub[s][mean 'Subempleo (%)'] + 
                                tsub_h[s][mean 'Subempleo por insuficiencia de tiempo de trabajo (%)'] + 
                                tsub_w[s][mean 'Subempleo por  insuficiencia de ingresos (%)'] +  
                                tnr[s][mean 'Empleo no remunerado (%)'] + 
                                toinad[s][mean 'Otro no pleno (%)'] + 
                                tnc[s][mean 'Empleo no clasificado (%)'] + 
                                tdesem[s][mean 'Desempleo (%)'] + 
                                tdesemab[s][mean 'Desempleo Abierto (%)'] +
                                tdesemoc[s][mean 'Desempleo Oculto (%)'] + 
                                tpartig[s][mean 'Participacin Global (%)']) + 
                                tpartib15[s][mean 'Participacin Bruta (%)']) by t_a[c]+p02[c]+pobla24[c]+pobla34[c]+pobla44[c]+pobla64[c]+pobla65[c]+etnia[c]
           /slabels position=row
           /titles title='Indicadores de Mercado Laboral (15 aos y ms) - Rural'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

filter off.

*=========================================================================================.
* 5.- SECTORIZACIN DE LOS EMPLEADOS
*=========================================================================================.

ctables /vlabels var = area secto display=none
            /table area > secto [colpct.count]
            /categories variables = area total = yes position =before
            /titles title='Sectorizacin de la Poblacin Empleada'
                    caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 6.1.- CARACTERIZACIN DE LA POBLACIN CON EMPLEO
*=========================================================================================.

ctables /vlabels var = p02 gedad etnia nnivins rama3 formal informal empdom nocla claempl seguro asalind AT empleo ao display = label
            /table p02[c][count colpct.count]   + gedad[c][count colpct.count]   + etnia[c][count colpct.count]     + nnivins[c][count colpct.count]  + rama3[c][count colpct.count] + 
                    secto[c][count colpct.count] + claempl[c][count colpct.count] +  seguro[c][count colpct.count] + asalind[c][count colpct.count]  + at[c][count colpct.count] + 
                    ing_defla[mean] > p02[c] + ht[mean]> p02[c]  BY empleo[c] >pobla15[c] > ao[c]
            /categories variables = p02 order=a key=value empty=include total=yes position=before
            /categories variables = gedad etnia nnivins rama3 secto claempl asalind at empleo ao order=a key=value empty=include 
            /categories variables = seguro order=a key=value empty=exclude
            /titles title='Caracterizacin de la Poblacin Empleada'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 6.2.- CARACTERIZACIN DE LA POBLACIN CON EMPLEO ADECUADO
*=========================================================================================.

ctables /vlabels var = p02 gedad etnia nnivins rama3 formal informal empdom nocla claempl seguro asalind AT adec ao display = label
            /table p02[c][count colpct.count]   + gedad[c][count colpct.count]   + etnia[c][count colpct.count]     + nnivins[c][count colpct.count]  + rama3[c][count colpct.count] + 
                    secto[c][count colpct.count] + claempl[c][count colpct.count] +  seguro[c][count colpct.count] + asalind[c][count colpct.count]  + at[c][count colpct.count] + 
                    ing_defla[mean] > p02[c] + ht[mean]> p02[c]  by adec[c] >pobla15[c] > ao[c]
            /categories variables = p02 order=a key=value empty=include total=yes position=before
            /categories variables = gedad etnia nnivins rama3 secto claempl asalind at adec ao order=a key=value empty=include 
            /categories variables = seguro order=a key=value empty=exclude
            /titles title='Caracterizacin de la Poblacin con Empleo Adecuado'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 6.3.- CARACTERIZACIN DE LA POBLACIN SUBEMPLEADA
*=========================================================================================.

ctables /vlabels var = p02 gedad etnia secto claempl seguro asalind at sub ao  display = label
            /table p02[c][count colpct.count]   + gedad[c][count colpct.count]  + etnia[c][count colpct.count] + secto[c][count colpct.count] + 
                     claempl[c][count colpct.count] + seguro[c][count colpct.count] + asalind[c][count colpct.count]  + at[c][count colpct.count] + 
                     ing_defla[mean] > p02[c] + ht[mean]> p02[c]by sub[c] >pobla15[c] > ao[c]
            /categories variables = p02 order=a key=value empty=include total=yes position=before
            /categories variables = gedad etnia secto claempl asalind at sub ao order=a key=value empty=include 
            /categories variables = seguro order=a key=value empty=exclude
            /titles title='Caracterizacin de la Poblacin Subempleada'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.

*=========================================================================================.
* 6.4.- CARACTERIZACIN DE LOS DESEMPLEADOS
*=========================================================================================.

ctables /vlabels var = p02 gedad desema desemb ao desem display = label
            /table p02[c][count colpct.count]   + gedad[c][count colpct.count]  + desema[c][count colpct.count] + desemb[c][count colpct.count]  
                     by desem[c] >pobla15[c] > ao[c]
            /categories variables = p02 order=a key=value empty=include total=yes position=before
            /categories variables = gedad desema desemb desem order=a key=value empty=include 
            /titles title='Caracterizacin de la Poblacin Desempleada'
                     caption='Fuente: INEC - ENEMDU' 'Elaborado por: Direccin de Estadsticas Sociodemogrficas - DIES'.


